Bug 143712 - kdevelop crashes on startup
kdevelop crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-24 16:05 EST by Eric Andresen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 18:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Andresen 2004-12-24 16:05:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
This being the first time I've attempted to run kdevelop on the
system, I do not know if it ever was in a working condition (and
subsequently was led to difficulty).

The kdevelop window pops up and begins its initialization, with the
last message in the splash screen seen as being "Loading: Tools Menu
Actions" prior to crashing.



Version-Release number of selected component (if applicable):
kdevelop-3.1.1-1

How reproducible:
Always

Steps to Reproduce:
1. Run 'kdevelop'

Actual Results:  kdevelop crashes

Expected Results:  kdevelop should start.

Additional info:
  See attached comment for backtrace and output.
Comment 1 Eric Andresen 2004-12-24 16:05:59 EST
$ kdevelop
QLayout "unnamed" added to IndexView "unnamed", which already has a layout
KCrash: Application 'kdevelop' crashing...

and KCrash provides the following backtrace:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208121664 (LWP 4026)]
[KCrash handler]
#4  0x05fe1d6f in QGListIterator::QGListIterator ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x00ed5b00 in DocDevHelpPlugin::autoSetupPlugin ()
   from /usr/lib/libdocdevhelpplugin.so.0
#6  0x00727002 in DocumentationPlugin::autoSetup ()
   from /usr/lib/libkdevelop.so.1
#7  0x00ed2365 in DocDevHelpPlugin::DocDevHelpPlugin ()
   from /usr/lib/libdocdevhelpplugin.so.0
#8  0x00ed7752 in KGenericFactory<DocDevHelpPlugin,
QObject>::createObject ()
   from /usr/lib/libdocdevhelpplugin.so.0
#9  0x0791e8a5 in KLibFactory::create () from /usr/lib/libkdecore.so.4
#10 0x00dcb2d9 in DocumentationPart::loadDocumentationPlugins ()
   from /usr/lib/kde3/libkdevdocumentation.so
#11 0x00dcbea3 in DocumentationPart::DocumentationPart ()
   from /usr/lib/kde3/libkdevdocumentation.so
#12 0x00dcd7cd in KGenericFactory<DocumentationPart,
QObject>::createObject ()
   from /usr/lib/kde3/libkdevdocumentation.so
#13 0x0791e8a5 in KLibFactory::create () from /usr/lib/libkdecore.so.4
#14 0x08086e59 in QValueList<QString>::clear ()
#15 0x0808777e in QValueList<QString>::clear ()
#16 0x080882ac in QValueList<QString>::clear ()
#17 0x080a0e4c in QValueListPrivate<QString>::at ()
#18 0x00773e33 in __libc_start_main () from /lib/tls/libc.so.6
#19 0x080721b1 in ?? ()
Comment 2 Matthew Miller 2006-07-10 19:31:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Rex Dieter 2007-11-17 18:18:25 EST
no feedback, closing.

Note You need to log in before you can comment on or make changes to this bug.